package com.muyu.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @PackageName:com.muyu.domain
 * @ClassName:TaskJoinInfo
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/9/1 16:00
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class TaskJoinInfo extends BaseEntity {

    /**
     * 主键id
     */
    private Integer id;

    /**
     * 节点id
     */
    private String nodeId;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 任务id(taskInfo)
     */
    private String taskId;

    /**
     * 左表id
     */
    private String leftId;

    /**
     * 关联类型
     */
    private String joinType;

    /**
     * 右表id
     */
    private String rightId;

    /**
     * 左表关联字段
     */
    private String leftJoinField;

    /**
     * 右表关联字段
     */
    private String rightJoinField;

}

