package com.muyu.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.Structure;
import com.muyu.domain.TableInfo;
import com.muyu.domain.TaskInputInfo;
import com.muyu.domain.resp.TableInfoCasResp;
import com.muyu.domain.resp.TaskInputInfoResp;
import com.muyu.mapper.TableInfoMapper;
import com.muyu.service.TableInfoService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @PackageName:com.muyu.service
 * @ClassName:TaskInputInfoService
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/22 20:18
 */
@Service
public class TableInfoServiceImpl extends ServiceImpl<TableInfoMapper, TableInfo> implements TableInfoService {

    @Override
    public List<TableInfoCasResp> selectList() {
        List<TableInfoCasResp> tableInfoCasResp = new ArrayList<>();
        LambdaQueryWrapper<TableInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TableInfo::getParentId,0);
        List<TableInfo> list = this.list(queryWrapper);
        list.forEach(tableInfo -> {
            TableInfoCasResp tableInfoCasRespDad = new TableInfoCasResp();
            tableInfoCasRespDad.setValue(tableInfo.getId());
            tableInfoCasRespDad.setLabel(tableInfo.getTableName());
            LambdaQueryWrapper<TableInfo> queryWrapperC = new LambdaQueryWrapper<>();
            queryWrapperC.eq(TableInfo::getParentId, tableInfo.getId());
            List<TableInfo> list1 = this.list(queryWrapperC);
            List<TableInfoCasResp> tableInfoCasRespSon = new ArrayList<>();
            for (TableInfo info : list1) {
                TableInfoCasResp casResp = new TableInfoCasResp();
                casResp.setValue(info.getId());
                casResp.setLabel(info.getTableName());
                tableInfoCasRespSon.add(casResp);
            }
            tableInfoCasRespDad.setChildren(tableInfoCasRespSon);
            tableInfo.setTableInfoList(list1);
            tableInfoCasResp.add(tableInfoCasRespDad);

        });
        return tableInfoCasResp;
    }

    @Override
    public TableInfo findByTableId(Integer id) {
        LambdaQueryWrapper<TableInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TableInfo::getId, id);
        return this.getOne(queryWrapper);
    }

}
